Skip to content

Add an exchange rate

POST
/config/currency/exchange-rates/{sourceCurrencyCode}/{targetCurrencyCode}
Required scope: exchangerate:create

Adds an exchange rate to a currency pair, which creates the pair if it has no rates. A rate is valid from its start date until the next rate of the pair starts, or forever if no later rate exists, so rates of a pair never overlap and leave no gaps. The stored end dates of the pair are recomputed. A rate on the reverse currency pair (target to source) suppresses the derived inverse rates of this pair in the exchange rate cache. Refreshes the exchange rate cache.

Parameters ​

Path parameters

sourceCurrencyCode  string
The three letter ISO code of the source currency. Case-insensitive.
targetCurrencyCode  string
The three letter ISO code of the target currency. Case-insensitive.

Request body ​

Response ​

The exchange rate was added successfully.